<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\StickerMaster;
use App\Models\User;

class StickerMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any StickerMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('view StickerMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create StickerMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('update StickerMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('delete StickerMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any StickerMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('restore StickerMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any StickerMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('replicate StickerMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder StickerMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StickerMaster $stickermaster): bool
    {
        return $user->checkPermissionTo('force-delete StickerMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any StickerMaster');
    }
}
